=== added directory 'l10n_it_abicab'
=== added file 'l10n_it_abicab/AUTHORS.txt'
--- l10n_it_abicab/AUTHORS.txt	1970-01-01 00:00:00 +0000
+++ l10n_it_abicab/AUTHORS.txt	2012-10-11 21:04:41 +0000
@@ -0,0 +1,1 @@
+Franco Tampieri <franco.tampieri@agilebg.com>

=== added file 'l10n_it_abicab/__init__.py'
--- l10n_it_abicab/__init__.py	1970-01-01 00:00:00 +0000
+++ l10n_it_abicab/__init__.py	2012-10-11 21:04:41 +0000
@@ -0,0 +1,24 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2012
+#    Associazione OpenERP Italia (<http://www.openerp-italia.org>)
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+#############################################################################
+
+import abicab
+

=== added file 'l10n_it_abicab/__openerp__.py'
--- l10n_it_abicab/__openerp__.py	1970-01-01 00:00:00 +0000
+++ l10n_it_abicab/__openerp__.py	2012-10-11 21:04:41 +0000
@@ -0,0 +1,37 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2012
+#    Associazione OpenERP Italia (<http://www.openerp-italia.org>)
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+#############################################################################
+
+{
+    'name': 'Italian Localisation - Base Bank ABI/CAB codes',
+    'version': '1.0',
+    'category': 'Localisation/Italy',
+    'description': """
+    Insert in the res.bank model the proprieties of the ABI/CAB
+    """,
+    'author': 'OpenERP Italian Community',
+    'depends': ['base'],
+    'website': 'http://www.openerp-italia.org/',
+    'update_xml': ['abicab_view.xml'],
+    'installable': True,
+    'active': False,
+    'certificate': '',
+}
\ No newline at end of file

=== added file 'l10n_it_abicab/abicab.py'
--- l10n_it_abicab/abicab.py	1970-01-01 00:00:00 +0000
+++ l10n_it_abicab/abicab.py	2012-10-11 21:04:41 +0000
@@ -0,0 +1,46 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2012
+#    Associazione OpenERP Italia (<http://www.openerp-italia.org>)
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+#############################################################################
+
+from osv import fields, osv
+
+class res_bank(osv.osv):
+    _inherit = "res.bank"
+    _columns = {
+        'abi': fields.char('ABI', size=5),
+        'cab': fields.char('CAB', size=5),
+    }
+
+class res_partner_bank(osv.osv):
+    _inherit = "res.partner.bank"
+    _columns = {
+        'bank_abi': fields.char('ABI', size=5),
+        'bank_cab': fields.char('CAB', size=5),
+    }
+
+    def onchange_bank_id(self, cr, uid, ids, bank_id, context=None):
+        result = super(res_partner_bank, self).onchange_bank_id(cr, uid, ids, bank_id, context=context)
+        if bank_id:
+            bank = self.pool.get('res.bank').browse(cr, uid, bank_id, context=context)
+            result['value']['bank_abi'] = bank.abi
+            result['value']['bank_cab'] = bank.cab
+        return result
+

=== added file 'l10n_it_abicab/abicab_view.xml'
--- l10n_it_abicab/abicab_view.xml	1970-01-01 00:00:00 +0000
+++ l10n_it_abicab/abicab_view.xml	2012-10-11 21:04:41 +0000
@@ -0,0 +1,46 @@
+<?xml version="1.0" ?>
+<openerp>
+	<data>
+
+       <record id="view_bank_tree_abicab" model="ir.ui.view">
+            <field name="name">res.bank.tree.abicab</field>
+            <field name="model">res.bank</field>
+            <field name="inherit_id" ref="base.view_res_bank_tree"/>
+            <field name="arch" type="xml">
+                <field name="name" position="after">
+                    <field name="abi"/>
+                    <field name="cab"/>
+                </field>
+            </field>
+        </record>
+
+        <record id="view_bank_form_abicab" model="ir.ui.view">
+            <field name="name">res.bank.form.abicab</field>
+            <field name="model">res.bank</field>
+            <field name="inherit_id" ref="base.view_res_bank_form"/>
+            <field name="arch" type="xml">
+                <field name="name" position="after">
+                    <newline/>
+                    <separator string="Bank Details" colspan="6"/>
+                    <group colspan="6" col="6">
+                        <field name="abi"/>
+                        <field name="cab"/>
+                    </group>
+                </field>
+            </field>
+    	</record>
+
+        <record id="view_partner_bank_form_abicab" model="ir.ui.view">
+            <field name="name">res.partner.bank.form</field>
+            <field name="model">res.partner</field>
+            <field name="inherit_id" ref="base.view_partner_form"/>
+            <field name="arch" type="xml">
+                <field name="bank_name" position="after">
+                    <field name="bank_abi"/>
+                    <field name="bank_cab"/>
+                </field>
+            </field>
+        </record>
+
+	</data>
+</openerp>
\ No newline at end of file

=== added directory 'l10n_it_abicab/i18n'
=== added file 'l10n_it_abicab/i18n/it.mo'
Binary files l10n_it_abicab/i18n/it.mo and l10n_it_abicab/i18n/it.mo differ
=== added file 'l10n_it_abicab/i18n/it.po'
--- l10n_it_abicab/i18n/it.po	1970-01-01 00:00:00 +0000
+++ l10n_it_abicab/i18n/it.po	2012-10-11 21:04:41 +0000
@@ -0,0 +1,37 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* l10n_it_abicab
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 6.0.3\n"
+"Report-Msgid-Bugs-To: support@openerp.com\n"
+"POT-Creation-Date: 2011-12-29 13:07+0000\n"
+"PO-Revision-Date: 2011-12-29 14:08+0100\n"
+"Last-Translator: Franco Tampieri <info@titdata.it>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: \n"
+
+#. module: l10n_it_abicab
+#: field:res.bank,abi:0
+msgid "ABI"
+msgstr "ABI"
+
+#. module: l10n_it_abicab
+#: view:res.bank:0
+msgid "Bank Details"
+msgstr "Dettagli Banca"
+
+#. module: l10n_it_abicab
+#: model:ir.model,name:l10n_it_abicab.model_res_bank
+msgid "Bank"
+msgstr "Banca"
+
+#. module: l10n_it_abicab
+#: field:res.bank,cab:0
+msgid "CAB"
+msgstr "CAB"
+

